cURL
curl --request GET \
--url https://api.woox.io/v3/trade/order \
--header 'x-api-key: <x-api-key>' \
--header 'x-api-signature: <x-api-signature>' \
--header 'x-api-timestamp: <x-api-timestamp>'import requests
url = "https://api.woox.io/v3/trade/order"
headers = {
"x-api-key": "<x-api-key>",
"x-api-signature": "<x-api-signature>",
"x-api-timestamp": "<x-api-timestamp>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-key': '<x-api-key>',
'x-api-signature': '<x-api-signature>',
'x-api-timestamp': '<x-api-timestamp>'
}
};
fetch('https://api.woox.io/v3/trade/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
# if withRealizedPnl is True
{
"success": true,
"data": {
"symbol": "PERP_BTC_USDT",
"status": "FILLED",
"side": "SELL",
"positionSide": "BOTH",
"createdTime": 1578565539808,
"orderId": 13,
"orderTag": "default",
"price": "123",
"type": "LIMIT",
"quantity": "0.1",
"amount": "null",
"visible": "0.1",
"executed": "0.1",
"totalFee": "0.00123",
"feeAsset": "USDT",
"totalRebate": 0,
"rebateCurrency": "USDT",
"clientOrderId": 0,
"reduceOnly": false,
"realizedPnl": "100",
"averageExecutedPrice": "123",
},
"timestamp": 1721351502594
}
# if withRealizedPnl is False
{
"success": true,
"data": {
"symbol": "PERP_BTC_USDT",
"status": "FILLED",
"side": "SELL",
"positionSide": "BOTH",
"createdTime": 1578565539808,
"orderId": 13,
"orderTag": "default",
"price": "123",
"type": "LIMIT",
"quantity": "0.1",
"amount": "null",
"visible": "0.1",
"executed": "0.1",
"totalFee": "0.00123",
"feeAsset": "USDT",
"totalRebate": 0,
"rebateCurrency": "USDT",
"clientOrderId": 0,
"reduceOnly": false,
"averageExecutedPrice": "123",
},
"timestamp": 1721351502594
}
Trading
Get order
get order
GET
/
v3
/
trade
/
order
cURL
Limit: 5 requests per 1 symbol per 1 second
# if withRealizedPnl is True
{
"success": true,
"data": {
"symbol": "PERP_BTC_USDT",
"status": "FILLED",
"side": "SELL",
"positionSide": "BOTH",
"createdTime": 1578565539808,
"orderId": 13,
"orderTag": "default",
"price": "123",
"type": "LIMIT",
"quantity": "0.1",
"amount": "null",
"visible": "0.1",
"executed": "0.1",
"totalFee": "0.00123",
"feeAsset": "USDT",
"totalRebate": 0,
"rebateCurrency": "USDT",
"clientOrderId": 0,
"reduceOnly": false,
"realizedPnl": "100",
"averageExecutedPrice": "123",
},
"timestamp": 1721351502594
}
# if withRealizedPnl is False
{
"success": true,
"data": {
"symbol": "PERP_BTC_USDT",
"status": "FILLED",
"side": "SELL",
"positionSide": "BOTH",
"createdTime": 1578565539808,
"orderId": 13,
"orderTag": "default",
"price": "123",
"type": "LIMIT",
"quantity": "0.1",
"amount": "null",
"visible": "0.1",
"executed": "0.1",
"totalFee": "0.00123",
"feeAsset": "USDT",
"totalRebate": 0,
"rebateCurrency": "USDT",
"clientOrderId": 0,
"reduceOnly": false,
"averageExecutedPrice": "123",
},
"timestamp": 1721351502594
}
Headers
Example:
"abcdef123456"
Example:
"signaturestring"
Example:
"1718943200000"
Query Parameters
Id of the order; Either orderId or clientOrderId is required. If both are passed, orderId will be used.
Client order Id as assigned by the user; Either orderId or clientOrderId is required. If both are passed, orderId will be used.
Whether to return order’s realized pnl; Note that realized PnL is only calculated for Perpetual close orders.
⌘I